# Conversations Overview

In the Socialboards system, a conversation acts like a chat ticket. You can use it to start a chat between a client and an agent and manage it as you like.

It includes creating a conversation, adding simple text messages and importing previous messages from other platforms, managing conversation status and etc.

#### Available operations with conversations:

* [Create conversation](/docs/apis/external-chat-api/reference/endpoints/create-conversation.md)
* [Add messages to conversation](/docs/apis/external-chat-api/reference/endpoints/add-messages-to-conversation.md)
* [Add message context to conversation](/docs/apis/external-chat-api/reference/endpoints/add-message-context-to-conversation.md)
* [Get conversation by id](/docs/apis/external-chat-api/reference/endpoints/get-conversation-by-id.md)
* [List conversation messages](/docs/apis/external-chat-api/reference/endpoints/list-conversation-messages.md)
* [Get conversation queue information](/docs/apis/external-chat-api/reference/endpoints/get-conversation-queue-information.md)
* [Get takeover state](/docs/apis/external-chat-api/reference/endpoints/get-takeover-state.md)
* [Change takeover state](/docs/apis/external-chat-api/reference/endpoints/change-takeover-state.md)
* [Update conversation feedback](/docs/apis/external-chat-api/reference/endpoints/update-conversation-feedback.md)
* [Update conversation latest url](/docs/apis/external-chat-api/reference/endpoints/update-conversation-latest-url.md)
* [Close conversation](/docs/apis/external-chat-api/reference/endpoints/close-conversation.md)

## Example Use Cases

### Create conversation between client and Socialboards agent

Use the 'create conversation' endpoint to initiate a new conversation between the client and a Socialboards agent.

Send new messages from the client by using the 'add messages to conversation' endpoint.

In process conversation, obtain queue information regarding the conversation's progress and the queue length.

Additionally, you can manage the conversation by updating conversation feedback from the customer and closing the conversation.

### Create conversation for next line of support

Use 'add messages to conversation' endpoint to create messages with different creation time. This can be useful to provide some additional context from previous or different chats and you want to use Socialboards as the next level of technical support.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/external-chat-api/conversations-overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
